diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 22cf884..9c0c3bc 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -1009,7 +1009,7 @@ AlgebraicIntegration(R, F): Exports == Implementation where
       r      := radPoly(r1.poly)::Record(radicand:RF, deg:N)
       q      := retract(r.radicand)
       curve  := RadicalFunctionField(F, UP, UPUP, q::RF, r.deg)
-      map(UPUP2F(lift #1, r1.coef, t, k),
+      map(x1+->UPUP2F(lift x1, r1.coef, t, k),
                             algintegrate(reduce f1, derivation)$ALG)$IR2
 
     algintegrate(f, t, k, derivation) ==
@@ -1017,14 +1017,14 @@ AlgebraicIntegration(R, F): Exports == Implementation where
       f1     := F2UPUP(f, t, k, p) monomial(inv(r1.coef), 1)
       modulus:= UP2UPUP(p := minPoly k, t)
       curve  := AlgebraicFunctionField(F, UP, UPUP, r1.poly)
-      map(UPUP2F(lift #1, r1.coef, t, k),
+      map(x1+->UPUP2F(lift x1, r1.coef, t, k),
                             algintegrate(reduce f1, derivation)$ALG)$IR2
 
     UP2UPUP(p, k) ==
-      map(univariate(#1,k),p)$SparseUnivariatePolynomialFunctions2(F,RF)
+      map(x1+->univariate(x1,k),p)$SparseUnivariatePolynomialFunctions2(F,RF)
 
     UPUP2F(p, cf, t, k) ==
-      map(multivariate(#1, t),
+      map((x1:RF):F+->multivariate(x1, t),
          p)$SparseUnivariatePolynomialFunctions2(RF, F)
                                             (multivariate(cf, t) * k::F)
 
diff --git a/changelog b/changelog
index 6b0550d..67f1e30 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090509 tpd src/axiom-website/patches.html 20090509.08.tpd.patch
+20090509 tpd books/bookvol10.4 INTAF +-> conversion
 20090509 tpd src/axiom-website/patches.html 20090509.07.tpd.patch
 20090509 tpd books/bookvol10.2 PSETCAT +-> conversion
 20090509 tpd src/axiom-website/patches.html 20090509.06.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 03a4289..1ba9be6 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1146,5 +1146,7 @@ bookvol10.2 MATCAT +-> conversion (missed one)<br/>
 bookvol10.3 BOP +-> conversion<br/>
 <a href="patches/20090509.07.tpd.patch">20090509.07.tpd.patch</a>
 bookvol10.2 PSETCAT +-> conversion<br/>
+<a href="patches/20090509.08.tpd.patch">20090509.08.tpd.patch</a>
+bookvol10.4 INTAF +-> conversion<br/>
  </body>
 </html>
